<?php

global $theme_options;
function theme_option( $page, $name = NULL ) {
    global $theme_options;
    if ( $name == NULL ) {
        if ( isset( $theme_options[$page] ) ) {
            return $theme_options[$page];
        } else {
            return false;
        }
    } else {
        if ( isset( $theme_options[$page][$name] ) ) {
            return $theme_options[$page][$name];
        } else {
            return false;
        }
    }
}
/*-----------------*/

/* removes Contactform 7 styles */
remove_action( 'wp_enqueue_scripts', 'wpcf7_enqueue_styles' );


/* Safe way to remove autop tags inside shortcodes without touching wordpress filters and default behaviors. */
add_filter('the_content', 'shortcode_empty_paragraph_fix');

    function shortcode_empty_paragraph_fix($content)
    {   
        $array = array (
            '<p>[' => '[', 
            ']</p>' => ']', 
            ']<br />' => ']'
        );

        $content = strtr($content, $array);

        return $content;
    }
/*-----------------*/



if ( ! function_exists( 'mk_under_construction' ) ) {
    function mk_under_construction() {
                
    
        if ( theme_option( THEME_OPTIONS, 'enable_uc' ) == 'true' && !is_user_logged_in() && !is_admin() && basename($_SERVER['PHP_SELF']) != 'wp-login.php' && basename($_SERVER['PHP_SELF']) != 'skin.php'  )
        {
            get_template_part('under-construction');
            exit();
        }
        
    }
}

add_action('init', 'mk_under_construction',26);



/*
* Converts Hex value to RGBA if needed.
*/
function mk_color( $colour, $alpha ) {
    if(!empty($colour)) {
        if($alpha >= 0.95) {
            return $colour; // If alpha is equal 1 no need to convert to RGBA, so we are ok with it. :)
        } else {
            if ( $colour[0] == '#' ) {
                    $colour = substr( $colour, 1 );
            }
            if ( strlen( $colour ) == 6 ) {
                    list( $r, $g, $b ) = array( $colour[0] . $colour[1], $colour[2] . $colour[3], $colour[4] . $colour[5] );
            } elseif ( strlen( $colour ) == 3 ) {
                    list( $r, $g, $b ) = array( $colour[0] . $colour[0], $colour[1] . $colour[1], $colour[2] . $colour[2] );
            } else {
                    return false;
            }
            $r = hexdec( $r );
            $g = hexdec( $g );
            $b = hexdec( $b );
            $output =  array( 'red' => $r, 'green' => $g, 'blue' => $b );

            return 'rgba(' . implode($output, ',') . ',' . $alpha . ')';
        }
    }    
}

function mk_ago($time)
    {
       $periods = array("second", "minute", "hour", "day", "week", "month", "year", "decade");
       $lengths = array("60","60","24","7","4.35","12","10");

       $now = time();

           $difference     = $now - $time;
           $tense         = "ago";

       for($j = 0; $difference >= $lengths[$j] && $j < count($lengths)-1; $j++) {
           $difference /= $lengths[$j];
       }

       $difference = round($difference);

       if($difference != 1) {
           $periods[$j].= "s";
       }

       return "$difference $periods[$j] ago ";
    }

function hexDarker($hex,$factor = 30)
        {
        $new_hex = '';
        if($hex == '' || $factor == '') {
            return false;
        }

        $hex = str_replace('#', '', $hex);
        
        $base['R'] = hexdec($hex{0}.$hex{1});
        $base['G'] = hexdec($hex{2}.$hex{3});
        $base['B'] = hexdec($hex{4}.$hex{5});

        
        foreach ($base as $k => $v)
                {
                $amount = $v / 100;
                $amount = round($amount * $factor);
                $new_decimal = $v - $amount;
        
                $new_hex_component = dechex($new_decimal);
                if(strlen($new_hex_component) < 2)
                        { $new_hex_component = "0".$new_hex_component; }
                $new_hex .= $new_hex_component;
                }
                
        return '#'.$new_hex;        
        }


/*-----------------*/





function mk_get_skin_color() {
    if(isset($_GET['skin'])) {
        return $_GET['skin'];;
    } else {
        return theme_option( THEME_OPTIONS , 'skin_color');
    }
}




function add_sumtips_admin_bar_link() {
    global $wp_admin_bar;
    if ( !is_super_admin() || !is_admin_bar_showing() )
        return;
    $wp_admin_bar->add_menu( array(
    'id' => 'masterkey_setrtings',
    'title' => __( 'Masterkey Settings', 'mk_framework'),
    'href' =>  admin_url('admin.php?page=masterkey'),
    ) );
}
add_action('admin_bar_menu', 'add_sumtips_admin_bar_link',25);






function the_excerpt_max_charlength( $charlength, $tail = true ) {
    $excerpt = get_the_excerpt();
    $charlength++;

    if ( mb_strlen( $excerpt ) > $charlength ) {
        $subex = mb_substr( $excerpt, 0, $charlength - 5 );
        $exwords = explode( ' ', $subex );
        $excut = - ( mb_strlen( $exwords[ count( $exwords ) - 1 ] ) );
        if ( $excut < 0 ) {
            echo mb_substr( $subex, 0, $excut );
        } else {
            echo $subex;
        }
        if ( $tail == true ) {
            echo '...';
        }
    } else {
        echo $excerpt;
    }
}




function comment_max_charlength( $charlength, $tail = true ) {
    $excerpt = get_the_excerpt();
    $charlength++;

    if ( mb_strlen( $excerpt ) > $charlength ) {
        $subex = mb_substr( $excerpt, 0, $charlength - 5 );
        $exwords = explode( ' ', $subex );
        $excut = - ( mb_strlen( $exwords[ count( $exwords ) - 1 ] ) );
        if ( $excut < 0 ) {
            echo mb_substr( $subex, 0, $excut );
        } else {
            echo $subex;
        }
        if ( $tail == true ) {
            echo '...';
        }
    } else {
        echo $excerpt;
    }
}




/*
* Converts unordered list navigation to a select box for mobile devices.
*/
class Walker_Nav_Menu_Dropdown extends Walker_Nav_Menu{
    var $to_depth = -1;
    function start_lvl( &$output, $depth = 0, $args = array()) {
        $output .= '</option>';
    }

    function end_lvl( &$output, $depth = 0, $args = array() ) {
        $indent = str_repeat( "\t", $depth ); // don't output children closing tag
    }

    function start_el( &$output, $item, $depth = 0, $args = array(), $current_object_id = 0) {

        $indent = ( $depth ) ? str_repeat( "&nbsp;", $depth * 4 ) : '';
        $class_names = $value = '';
        $classes = empty( $item->classes ) ? array() : (array) $item->classes;

        $classes[] = 'menu-item-' . $item->ID;
        $class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item, $args ) );
        $class_names = ' class="' . esc_attr( $class_names ) . '"';
        $id = apply_filters( 'nav_menu_item_id', 'menu-item-'. $item->ID, $item, $args );
        $id = strlen( $id ) ? ' id="' . esc_attr( $id ) . '"' : '';
        $value = ' value="'. $item->url .'"';
        $output .= '<option'.$id.$value.$class_names.'>';
        $item_output = $args->before;
        $item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after;
        $output .= $indent.$item_output;
    }


    function end_el(&$output, $item, $depth = 0, $args = array()) {
        if ( substr( $output, -9 ) != '</option>' )
            $output .= "</option>";
    }

}
/*-----------------*/





/**
 * Fix the image src for MultiSite
 */
function get_image_src( $src ) {
        return $src;
}
/*-----------------*/






/*
 * Adds Extra
 */
add_action( 'show_user_profile', 'my_show_extra_profile_fields' );
add_action( 'edit_user_profile', 'my_show_extra_profile_fields' );

function my_show_extra_profile_fields( $user ) { ?>

    <h3>User Social Networks</h3>

    <table class="form-table">

        <tr>
            <th><label for="twitter">Twitter</label></th>

            <td>
                <input type="text" name="twitter" id="twitter" value="<?php echo esc_attr( get_the_author_meta( 'twitter', $user->ID ) ); ?>" class="regular-text" /><br />
                <span class="description">Please enter your Twitter Profile URL.</span>
            </td>
        </tr>

    </table>
<?php }


add_action( 'personal_options_update', 'my_save_extra_profile_fields' );
add_action( 'edit_user_profile_update', 'my_save_extra_profile_fields' );

function my_save_extra_profile_fields( $user_id ) {

    if ( !current_user_can( 'edit_user', $user_id ) )
        return false;
    update_user_meta( $user_id, 'twitter', $_POST['twitter'] );
}
/*-----------------*/





/*
 * Removes wordpress default excerpt brakets from its endings
 */
function theme_excerpt_more( $excerpt ) {
    return str_replace( '[...]', '', $excerpt );
}
add_filter( 'wp_trim_excerpt', 'theme_excerpt_more' );
/*-----------------*/







/*
 * Remove Blog categories from category Feeds
 */
function theme_exclude_category_feed() {
    $exclude_cats = theme_option( THEME_OPTIONS, 'excluded_cats' );
    if ( is_array( $exclude_cats ) ) {
        foreach ( $exclude_cats as $key => $cat ) {
            $exclude_cats[$key] = -$cat;
        }
    }
    if ( is_feed() ) {
        set_query_var( "cat", implode( ",", $exclude_cats ) );
    }
}
add_filter( 'pre_get_posts', 'theme_exclude_category_feed' );
/*-----------------*/







/*
 * Remove Blog categories from category widget
 */
function theme_exclude_category_widget( $cat_args ) {
    $exclude_cats = theme_option( THEME_OPTIONS, 'excluded_cats' );

    if ( is_array( $exclude_cats ) ) {
        $cat_args['exclude'] = implode( ",", $exclude_cats );
    }
    return $cat_args;
}
add_filter( 'widget_categories_args', 'theme_exclude_category_widget' );
/*-----------------*/









/*
 * Removes extra space from widget title
 */
function theme_widget_title_remove_space( $return ) {
    $return = trim( $return );
    if ( '&nbsp;' == $return ) {
        return '';
    }else {
        return $return;
    }
}
add_filter( 'widget_title', 'theme_widget_title_remove_space' );
/*-----------------*/








/*
 * Gives the text widget capability of inserting shortcode.
 */
function theme_widget_text_shortcode( $content ) {
    $content = do_shortcode( $content );
    $new_content = '';
    $pattern_full = '{(\[raw\].*?\[/raw\])}is';
    $pattern_contents = '{\[raw\](.*?)\[/raw\]}is';
    $pieces = preg_split( $pattern_full, $content, -1, PREG_SPLIT_DELIM_CAPTURE );

    foreach ( $pieces as $piece ) {
        if ( preg_match( $pattern_contents, $piece, $matches ) ) {
            $new_content .= $matches[1];
        } else {
            $new_content .= do_shortcode( $piece );
        }
    }

    return $new_content;
}
add_filter( 'widget_text', 'theme_widget_text_shortcode' );
add_filter( 'widget_text', 'do_shortcode' );
/*-----------------*/




/* Blog & Portfolio Pagination */
function theme_blog_pagenavi($before = '', $after = '', $blog_query, $paged) {
    global $wpdb, $wp_query;
    
    if (is_single())
        return;
    
    $pagenavi_options = array(
        'pages_text' => '',
        'current_text' => '%PAGE_NUMBER%',
        'page_text' => '%PAGE_NUMBER%',
        'dotright_text' => __('...','mk_framework'),
        'dotleft_text' => __('...','mk_framework'),
        'num_pages' => 4,
        'always_show' => 0,
        'num_larger_page_numbers' => 3,
        'larger_page_numbers_multiple' => 10,
        'use_pagenavi_css' => 0,
    );
    if(is_archive() || is_search()) {
        $request = $wp_query->request;
    } else {
        $request = $blog_query->request;
    }
    
    $posts_per_page = intval(get_query_var('posts_per_page'));
    global $wp_version;
    if((is_front_page() || is_home() ) && version_compare($wp_version, "3.1", '>=')){//fix wordpress 3.1 paged query 
        $paged = (get_query_var('paged')) ?intval(get_query_var('paged')) : intval(get_query_var('page'));
    }else{
        $paged = intval(get_query_var('paged'));
    }
     if(is_archive() || is_search()) {
       $numposts = $wp_query->found_posts;
        $max_page = intval($wp_query->max_num_pages);
    } else {
        $numposts = $blog_query->found_posts;
        $max_page = intval($blog_query->max_num_pages);
    }
    
    
    if (empty($paged) || $paged == 0)
        $paged = 1;
    $pages_to_show = intval($pagenavi_options['num_pages']);
    $larger_page_to_show = intval($pagenavi_options['num_larger_page_numbers']);
    $larger_page_multiple = intval($pagenavi_options['larger_page_numbers_multiple']);
    $pages_to_show_minus_1 = $pages_to_show - 1;
    $half_page_start = floor($pages_to_show_minus_1 / 2);
    $half_page_end = ceil($pages_to_show_minus_1 / 2);
    $start_page = $paged - $half_page_start;
    
    if ($start_page <= 0)
        $start_page = 1;
    
    $end_page = $paged + $half_page_end;
    if (($end_page - $start_page) != $pages_to_show_minus_1) {
        $end_page = $start_page + $pages_to_show_minus_1;
    }
    
    if ($end_page > $max_page) {
        $start_page = $max_page - $pages_to_show_minus_1;
        $end_page = $max_page;
    }
    
    if ($start_page <= 0)
        $start_page = 1;
    
    $larger_pages_array = array();
    if ($larger_page_multiple)
        for($i = $larger_page_multiple; $i <= $max_page; $i += $larger_page_multiple)
            $larger_pages_array[] = $i;
    
    if ($max_page > 1 || intval($pagenavi_options['always_show'])) {
        $pages_text = str_replace("%CURRENT_PAGE%", number_format_i18n($paged), $pagenavi_options['pages_text']);
        $pages_text = str_replace("%TOTAL_PAGES%", number_format_i18n($max_page), $pages_text);

        echo '<div class="mk-pagination">' . "\n";
                echo '<div class="mk-pagination-previous">'; 
                previous_posts_link('');
                echo '</div>';
                echo '<div class="mk-pagination-inner">';
                if (! empty($pages_text)) {
                    echo '<span class="pages">' . $pages_text . '</span>';
                }

                $larger_page_start = 0;
                foreach($larger_pages_array as $larger_page) {
                    if ($larger_page < $start_page && $larger_page_start < $larger_page_to_show) {
                        $page_text = str_replace("%PAGE_NUMBER%", number_format_i18n($larger_page), $pagenavi_options['page_text']);
                        echo '<a href="' . esc_url(get_pagenum_link($larger_page)) . '" class="page-number" title="' . $page_text . '">' . $page_text . '</a>';
                        $larger_page_start++;
                    }
                }
                
                for($i = $start_page; $i <= $end_page; $i++) {
                    if ($i == $paged) {
                        $current_page_text = str_replace("%PAGE_NUMBER%", number_format_i18n($i), $pagenavi_options['current_text']);
                        echo '<span class="current-page">' . $current_page_text . '</span>';
                    } else {
                        $page_text = str_replace("%PAGE_NUMBER%", number_format_i18n($i), $pagenavi_options['page_text']);
                        echo '<a href="' . esc_url(get_pagenum_link($i)) . '" class="page-number" title="' . $page_text . '">' . $page_text . '</a>';
                    }
                }
                
                $larger_page_end = 0;
                foreach($larger_pages_array as $larger_page) {
                    if ($larger_page > $end_page && $larger_page_end < $larger_page_to_show) {
                        $page_text = str_replace("%PAGE_NUMBER%", number_format_i18n($larger_page), $pagenavi_options['page_text']);
                        echo '<a href="' . esc_url(get_pagenum_link($larger_page)) . '" class="page-number" title="' . $page_text . '">'.$page_text.'</a>';
                        $larger_page_end++;
                    }
                }

                echo '</div>';
        echo '<div class="mk-pagination-next">';
        next_posts_link('', $max_page);
        echo '</div>';
        echo '<div class="mk-total-pages">'.__('page', 'mk_framework').' '.$current_page_text.' of '.$max_page.'</div>';
        echo '</div>' . $after . "\n";
        
    }
}
/*****************************************************/







/**
 * This function resizes images It takes image source,
 * width height and quality as a parameter
 * This function is based on the approach described by
 * Victor Teixeira here: http://core.trac.wordpress.org/ticket/15311.
 * @param  $img_url
 * @param  $width
 * @param  $height
 * @param bool $crop
 * @param  $quality
 * @return array with image URL, width and height
 */
function theme_image_resize($img_url, $width, $height, $crop = true) {

    global $blog_id;
    
     if ( $img_url ) {
        
        $file_path = parse_url( $img_url );
        $file_path = $_SERVER['DOCUMENT_ROOT'] . $file_path['path'];
        
        //Check for MultiSite blogs and str_replace the absolute image locations
        if(is_multisite()){
            $blog_details = get_blog_details($blog_id);
            $file_path = str_replace($blog_details->path . 'files/', '/wp-content/blogs.dir/'. $blog_id .'/files/', $file_path);
        }
        
        //$file_path = ltrim( $file_path['path'], '/' );
        //$file_path = rtrim( ABSPATH, '/' ).$file_path['path'];
        
        $orig_size = getimagesize( $file_path );
        
        $image_src[0] = $img_url;
        $image_src[1] = $orig_size[0];
        $image_src[2] = $orig_size[1];
    }
    
    $file_info = pathinfo( $file_path );
    $extension = '.'. $file_info['extension'];

    // the image path without the extension
    $no_ext_path = $file_info['dirname'].'/'.$file_info['filename'];
    
    /* Calculate the eventual height and width for accurate file name */

    if ( $crop == false ) {
        $proportional_size = wp_constrain_dimensions( $image_src[1], $image_src[2], $width, $height );
        $width = $proportional_size[0];
        $height = $proportional_size[1];
    }
    
    $cropped_img_path = $no_ext_path.'-'.$width.'x'.$height.$extension;

    // checking if the file size is larger than the target size
    // if it is smaller or the same size, stop right here and return
    if ( $image_src[1] > $width || $image_src[2] > $height ) {

        // the file is larger, check if the resized version already exists (for $crop = true but will also work for $crop = false if the sizes match)
        if ( file_exists( $cropped_img_path ) ) {

            $cropped_img_url = str_replace( basename( $image_src[0] ), basename( $cropped_img_path ), $image_src[0] );
            
            $vt_image = array (
                'url' => $cropped_img_url,
                'width' => $width,
                'height' => $height
            );
            
            return $vt_image;
        }

        // $crop = false
        if ( $crop == false ) {
        
            // calculate the size proportionaly
            $proportional_size = wp_constrain_dimensions( $image_src[1], $image_src[2], $width, $height );
            $resized_img_path = $no_ext_path.'-'.$proportional_size[0].'x'.$proportional_size[1].$extension;            

            // checking if the file already exists
            if ( file_exists( $resized_img_path ) ) {
            
                $resized_img_url = str_replace( basename( $image_src[0] ), basename( $resized_img_path ), $image_src[0] );

                $vt_image = array (
                    'url' => $resized_img_url,
                    'width' => $proportional_size[0],
                    'height' => $proportional_size[1]
                );
                
                return $vt_image;
            }
        }

        // no cache files - let's finally resize it
        error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);
        $new_img_path = image_resize( $file_path, $width, $height, $crop );
        $new_img_size = getimagesize( $new_img_path );
        $new_img = str_replace( basename( $image_src[0] ), basename( $new_img_path ), $image_src[0] );

        // resized output
        $vt_image = array (
            'url' => $new_img,
            'width' => $new_img_size[0],
            'height' => $new_img_size[1]
        );
        
        return $vt_image;
    }

    // default output - without resizing
    $vt_image = array (
        'url' => $image_src[0],
        'width' => $image_src[1],
        'height' => $image_src[2]
    );
    
    return $vt_image;
}




